> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# GET AccommodationRateSpecification

> Retrieves rate specifications for the authenticated user's organization.
>
> An AccommodationRateSpecification defines a pricing configuration that can be assigned to accommodations. Each specification is linked to an accommodation price component group and length-of-stay configuration, and can optionally inherit its rate values from another specification.

- Product: Accommodation rate specifications
- Section: Rates
- Snapshot: Current
- Method: `GET`
- Path: `/api/accommodation_rate_specifications/`

## Query parameters

### `accommodation`

Type: `number`  
Required: no  

### `accommodationPriceComponentGroup`

Type: `number`  
Required: no  

### `type`

Type: `string`  
Required: no  
Allowed values: `manual`, `inheriting-from-rate-specification`, `inheriting-from-group`  

### `settings`

Type: `boolean`  
Required: no  

Returns more data in the response, required for settings

### `include[]`

Type: `string[]`  
Required: no  

Additional (relational) data groups to include in the response

#### string

Type: `string`  
Allowed values: `accommodations`  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.accommodationRateSpecifications.list();
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/accommodation_rate_specifications/" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 1000,
    "description": "description",
    "locale": "locale",
    "accommodationPriceComponentGroup": {
      "id": 1000
    },
    "accommodationRateLengthOfStaySpecification": {
      "id": 0,
      "description": "description",
      "locale": "locale",
      "translations": [
        {
          "id": 0,
          "locale": "locale",
          "description": "description"
        }
      ],
      "numOfDays": 1,
      "eligibleMinNumOfDays": 1
    },
    "glAccount": {
      "id": 1000
    },
    "accommodations": [
      {
        "id": 1000
      }
    ],
    "includedNumOfPersons": 0,
    "hasRatePerPersonDiscountsEnabled": false,
    "derivedAmount": "0.00",
    "derivedMethod": "percentage",
    "derivedAdjustment": "increase",
    "derivedRounding": "rounding-two-decimals",
    "type": "manual",
    "inheritanceModified": "inheritanceModified",
    "deleted": "deleted",
    "inheritedFrom": {
      "id": 1000
    },
    "campingEquipmentSpecification": {
      "id": 1000
    },
    "taxProfile": {
      "id": 1000
    }
  }
]
```

##### Schema

###### AccommodationRateSpecification[]

Type: `AccommodationRateSpecification[]`  

###### AccommodationRateSpecification

Type: `AccommodationRateSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: yes  

###### `includedNumOfPersons`

Type: `number`  
Required: no  
Default: `0`  

###### `hasRatePerPersonDiscountsEnabled`

Type: `boolean`  
Required: no  
Default: `false`  

###### `derivedAmount`

Type: `string`  
Required: no  
Default: `0.00`  

###### `derivedMethod`

Type: `string`  
Required: no  
Default: `percentage`  

###### `derivedAdjustment`

Type: `string`  
Required: no  
Default: `increase`  

###### `derivedRounding`

Type: `string`  
Required: no  
Default: `rounding-two-decimals`  

###### `type`

Type: `string`  
Required: no  
Default: `manual`  

###### `inheritanceModified`

Type: `string`  
Format: `date-time`  
Required: no  

###### `deleted`

Type: `string`  
Format: `date-time`  
Required: no  

###### `locale`

Type: `string`  
Required: yes  

###### `accommodationPriceComponentGroup`

Type: `object`  
Required: yes  

###### `id`

Type: `number`  
Required: no  

###### `accommodationRateLengthOfStaySpecification`

Type: `AccommodationRateLengthOfStaySpecification`  
Required: yes  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: yes  

###### `numOfDays`

Type: `number`  
Required: no  
Default: `1`  

This property determines the length of stay. For example: a value of 3 equals to a length of stay of 3 nights.

###### `eligibleMinNumOfDays`

Type: `number`  
Required: no  
Default: `1`  

This property determines the minimum numOfDays a reservations needs to have before this specification is eligible.

###### `locale`

Type: `string`  
Required: yes  

###### `translations`

Type: `AccommodationRateLengthOfStaySpecificationTranslation[]`  
Required: yes  

###### AccommodationRateLengthOfStaySpecificationTranslation

Type: `AccommodationRateLengthOfStaySpecificationTranslation`  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: no  

###### `locale`

Type: `string`  
Required: yes  

###### `inheritedFrom`

Type: `object`  
Required: no  

###### `id`

Type: `number`  
Required: no  

###### `campingEquipmentSpecification`

Type: `object`  
Required: no  

###### `id`

Type: `number`  
Required: no  

###### `glAccount`

Type: `object`  
Required: yes  

###### `id`

Type: `number`  
Required: no  

###### `taxProfile`

Type: `object`  
Required: no  

###### `id`

Type: `number`  
Required: no  

###### `accommodations`

Type: `object[]`  
Required: yes  

###### object

Type: `object`  

###### `id`

Type: `number`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/accommodation-rate-specifications/methods/list/)
- [TypeScript Markdown](/accommodation-rate-specifications/methods/list.md?lang=typescript)
- [curl Markdown](/accommodation-rate-specifications/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/accommodation-rate-specifications/llms.txt)
- [snapshot llms.txt](/accommodation-rate-specifications/llms.txt)
